[Korjaa phpMyAdminin] Konfiguraatiotiedosto nyt tarvitsee salalausetta (blowfish_secret)

onko asennettuphpMyAdmin palvelin Ubuntu, CentOS tai jne Fedora jakelu, viesti "Asetustiedosto tarvitsee nyt salalausetta (blowfish_secret)"Punaisilla alareunassa indeksin, hässäkkää. Varsinkin kun se on määritetty oikein "/etc/phpMyAdmin/config.inc.php".
Tietenkin, polku voi vaihdella yhdestä kokoonpano toiseen, mutta 7 CentOS cu phpMyAdmin asentaa "yum"In"remi.repo"Konfigurointitiedostoa tulee sijaitsemaan" / etc / phpMyAdmin /".

Hyvä, Katsotaan miten voit käsitellä "Asetustiedosto tarvitsee nyt salalausetta (blowfish_secret)"Josconfig.inc.php meillä on tämä rivi:

$ Cfg [ 'blowfish_secret'] = '$ gNsWq $% #% #% EDFSsffsegbVp6LCJw6w'; / * Täytä TÄSSÄ evästeperusteiselle AUTH! * /

Jos tämä linja on läsnä ja meillä on "avain" yli 32 merkkiä phpMyAdminin punaisella viestin pitäisi kadota.
Siinä tapauksessa, että näin ei käynyt, poista evästeet selain ja kirjaudu ulos phpMyAdmin. Seuraavassa kirjautuminen, viesti "Asetustiedosto tarvitsee nyt salalausetta (blowfish_secret)"En ole läsnä.
Vaikka on olemassa tilanteita, joissa se on läsnä ei johdu virheellisistä config.inc.php-tiedosto, mutta koska kansioiden käyttöoikeudet kun hän oli.

Ajaa terminaali komentorivillä:

 Chown -R root: nginx / etc / phpMyAdminissa /

Nyt kaikkien pitäisi olla kunnossa. Jos käytät Apachea käyttäjän sijasta: nginx, aseta "httpd" tai kuinka sinulla on verkkoprosessin käyttäjä palvelimella.

Kirjoitin tämän vinkkejä koska Kehräsin yli 2 tuntia koko phpMyAdmin config, ja silti voi paeta viesti: Konfiguraatiotiedosto tarvitsee nyt salalausetta (blowfish_secret). Jälkeen ratkaista luvat / ryhmiä, katosi.

[Korjaa phpMyAdminin] Konfiguraatiotiedosto nyt tarvitsee salalausetta (blowfish_secret)

Kirjailijasta

Stealth LP

Perustaja ja päätoimittaja Stealth AsetuksetVuonna 2006 päivämäärä.
Kokemus Linux-käyttöjärjestelmissä (erityisesti CentOS), Mac OS X, Windows XP> Windows 10 ja WordPress (CMS).

Jätä kommentti